/*     This file is part of KFireSaver.
 *
 *     KFireSaver is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     KFireSaver is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with KFireSaver; if not, write to the Free Software
 *     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *     Authors:
 *       David Sansome <me@davidsansome.com>
 *       KoRaL <asy@libero.it>
 *
 *     (see the changelog for more information)
 */

#ifndef KFIRESAVER_H
#define KFIRESAVER_H

#include <qgl.h>
#include <qptrlist.h>
#include <qimage.h>

class Particle;

class KFireSaver : public QGLWidget
{
public:
	KFireSaver( QWidget *parent=0, const char *name=0 );

protected:
	void initializeGL();
	void resizeGL( int, int );
	void paintGL();
	void timerEvent( QTimerEvent * );

private:
	void explodeFirework(Particle* fireWorkLeaderParticle);
	void burnLogo(QImage image);
	GLfloat xToGl(int x);
	GLfloat yToGl(int y);
	int selectColourScheme();
	void readConfig();

	QImage particleTexture;
	QImage kdeLogo;
	QImage tux;
	QPtrList<Particle> particleList;
	
	// From the config file
	bool enableFlash;
	bool enableSparkle;
	bool enableRed;
	bool enableOrange;
	bool enableGreen;
	bool enableBlue;
	bool enableWhite;
	bool enablePurple;
	bool enableDeepGreen;
	bool enableCombos;
	int fireworksFrequency;
	bool enableTux;
	bool enableKdeLogo;
	int logoFrequency;
	bool enableBottomFire;
	int bottomFireColour;
	bool enableTrails;
};

#endif

