/*     This file is part of KFireSaver.
 *
 *     KFireSaver is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     KFireSaver is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with KFireSaver; if not, write to the Free Software
 *     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *     Authors:
 *       David Sansome <me@davidsansome.com>
 *       KoRaL <asy@libero.it>
 *
 *     (see the changelog for more information)
 */

#include "kfiresaverkss.h"
#include "kfiresaversetup.h"

#include <qgl.h>
#include <kapplication.h>
#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <qmessagebox.h>

extern "C"
{
    const char *kss_applicationName = "kfiresaver.kss";
    const char *kss_description = I18N_NOOP( "Fireworks" );
    const char *kss_version = "0.1";

    KScreenSaver *kss_create( WId id )
    {
        return new KFireSaverKSS( id );
    }

    QDialog *kss_setup()
    {
        return new KFireSaverSetup();
    }
}

/*static const char *description =
	I18N_NOOP("A fireworks screensaver");

int main( int argc, char **argv )
{
	KAboutData aboutData( "KFireSaver", I18N_NOOP("KFireSaver"),
		"0.1", description, KAboutData::License_GPL,
		"(c) 2002, David Sansome", 0, 0, "me@davidsansome.com");
	aboutData.addAuthor("David Sansome",0, "me@davidsansome.com");
	KCmdLineArgs::init( argc, argv, &aboutData );

	KApplication::setColorSpec( QApplication::CustomColor );
	KApplication a;

	if ( !QGLFormat::hasOpenGL() )
	{
		qWarning( "This system has no OpenGL support. Exiting." );
		QMessageBox::critical(NULL,"KFireSaver","This system has no OpenGL support.  Exiting.",QMessageBox::Ok,QMessageBox::NoButton,QMessageBox::NoButton);
		return -1;
	}

	KFireSaver w;
	//w.setFixedSize(640,480);
	a.setMainWidget( &w );
	w.show();
	return a.exec();
}
*/
